Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.util
[Java] Class MVCGroupExceptionHandler

    java.lang.Object
      griffon.util.RunnableWithArgs
          org.codehaus.griffon.runtime.util.MVCGroupExceptionHandler

    public final class MVCGroupExceptionHandler
    extends RunnableWithArgs

Authors:
  Andres Almiray

Since:
  0.9.4

Field Summary
`private GriffonApplication` | `application`

Fields inherited from class RunnableWithArgs
NO_ARGS, args, lock

Constructor Summary
`private MVCGroupExceptionHandler(GriffonApplication application)`

Method Summary
`static void` | `registerWith(GriffonApplication application)`
`void` | `run(Object[] args)`

Methods inherited from class RunnableWithArgs
getArgs, run, run, setArgs

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### application

    private final GriffonApplication application

Constructor Detail

### MVCGroupExceptionHandler

    private MVCGroupExceptionHandler(GriffonApplication application)

Method Detail

### registerWith

    public static void registerWith(GriffonApplication application)

### run

    public void run(Object[] args)

Groovy Documentation